For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList conversations
      • POSTCreate conversation
      • GETGet conversation
      • PUTUpdate conversation
      • DELDelete conversation
      • GETList messages
      • POSTCreate message
Dashboard
LogoLogo
Runtype APIMessaging Conversations

Get conversation

GET
/v1/messaging/conversations/:id
GET
/v1/messaging/conversations/:id
$curl https://api.runtype.com/v1/messaging/conversations/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "createdAt": "2024-06-10T09:15:00Z",
3 "externalParticipantId": "user_987654321",
4 "externalThreadId": "thread_123456789",
5 "id": "conv_abc123def456",
6 "lastMessageAt": "2024-06-12T16:45:00Z",
7 "messageCount": 42,
8 "participantEmail": "jane.doe@example.com",
9 "participantName": "Jane Doe",
10 "status": "open",
11 "subject": "Issue with account login",
12 "surfaceId": "surface_001",
13 "timezone": "America/New_York",
14 "updatedAt": "2024-06-12T16:50:00Z",
15 "context": {
16 "platform": "email",
17 "priority": "high"
18 },
19 "participantMetadata": {
20 "role": "customer",
21 "accountStatus": "active"
22 },
23 "surface": {
24 "id": "surface_001",
25 "name": "Customer Support Portal",
26 "type": "web"
27 }
28}
Get a messaging conversation by ID with full details.
Was this page helpful?
Previous

Update conversation

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Conversation details
createdAtstring
externalParticipantIdstring or null
externalThreadIdstring or null
idstring
lastMessageAtstring or null
messageCountdouble
participantEmailstring or null
participantNamestring or null
statusstring
subjectstring or null
surfaceIdstring
timezonestring or null
updatedAtstring
contextmap from strings to any
participantMetadatamap from strings to any
surfaceobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error